/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libSBML Python API", "index.html", [
    [ "Overview", "index.html", "index" ],
    [ "Accessing libSBML from software", "libsbml-accessing.html", [
      [ "1. Setting your library search path", "libsbml-accessing.html#config-search-path", null ],
      [ "2. Importing libSBML", "libsbml-accessing.html#config-software", null ]
    ] ],
    [ "Asking questions, reporting issues", "libsbml-communications.html", null ],
    [ "How to extend libSBML to support SBML packages", "libsbml-extending.html", [
      [ "Step by step summary of the implementation of an extension", "libsbml-howto-implement-extension.html", [
        [ "1. Create the directory structure", "libsbml-howto-implement-extension.html#implem-dir", null ],
        [ "2. Derive classes from SBasePlugin", "libsbml-howto-implement-extension.html#implem-sbaseplugin", null ],
        [ "3. Derive a class from SBMLDocumentPlugin if necessary", "libsbml-howto-implement-extension.html#implem-sbmldocument", null ],
        [ "4. Derive classes from SBase", "libsbml-howto-implement-extension.html#implem-sbase", null ],
        [ "5. Derive a class from SBMLExtension", "libsbml-howto-implement-extension.html#implem-sbmlext", null ],
        [ "6. Implement a forward declaration file", "libsbml-howto-implement-extension.html#forward-decl", null ],
        [ "7. Implement a package header file", "libsbml-howto-implement-extension.html#header-file", null ],
        [ "8. Define files for package registration", "libsbml-howto-implement-extension.html#config-macros", null ],
        [ "9. Hook into the language bindings", "libsbml-howto-implement-extension.html#hook-bindings", null ],
        [ "10. Hook into the libSBML build system", "libsbml-howto-implement-extension.html#hook-build", null ]
      ] ],
      [ "Detailed explanation of each package extension class", "libsbml-extension-support-classes.html", [
        [ "SBaseExtensionPoint", "libsbml-extension-support-classes.html#ext-sbaseextensionpoint", null ],
        [ "SBasePlugin", "libsbml-extension-support-classes.html#ext-sbaseplugin", null ],
        [ "SBasePluginCreator", "libsbml-extension-support-classes.html#ext-sbaseplugincreator", null ],
        [ "SBMLDocumentPlugin", "libsbml-extension-support-classes.html#ext-sbmldocumentplugin", null ],
        [ "SBMLExtension", "libsbml-extension-support-classes.html#ext-sbmlextension", null ],
        [ "SBMLExtensionException", "libsbml-extension-support-classes.html#ext-sbmlextensionexception", null ],
        [ "SBMLExtensionNamespaces", "libsbml-extension-support-classes.html#ext-sbmlextensionnamespaces", null ],
        [ "SBMLExtensionRegister", "libsbml-extension-support-classes.html#ext-sbmlextensionregister", null ],
        [ "SBMLExtensionRegistry", "libsbml-extension-support-classes.html#ext-sbmlextensionregistry", null ]
      ] ]
    ] ],
    [ "LibSBML features at a glance", "libsbml-features.html", null ],
    [ "Building and installing libSBML", "libsbml-installation.html", null ],
    [ "Known issues and pitfalls", "libsbml-issues.html", null ],
    [ "Working with math", "libsbml-math.html", [
      [ "Basic concepts", "libsbml-math.html#math-overview", null ],
      [ "Converting between ASTs and text strings", "libsbml-math.html#math-convert", null ],
      [ "The text-string formula syntax, and differences with MathML", "libsbml-math.html#math-diffs", [
        [ "Simpler scheme based on SBML Level 1's syntax", "libsbml-math.html#math-original", null ],
        [ "Advanced, SBML Level 3-oriented formula scheme", "libsbml-math.html#math-l3", null ]
      ] ],
      [ "Methods for working directly with libSBML's Abstract Syntax Trees", "libsbml-math.html#math-ast", null ],
      [ "Reading and Writing MathML directly", "libsbml-math.html#math-reading", null ]
    ] ],
    [ "Tutorial: creating a simple model", "libsbml-python-creating-model.html", null ],
    [ "Additional complete example programs", "libsbml-python-example-files.html", [
      [ "Simple programs", "libsbml-python-example-files.html#simple-programs", null ],
      [ "More advanced programs", "libsbml-python-example-files.html#advanced-programs", null ],
      [ "Programs using SBML Level 3 packages", "libsbml-python-example-files.html#package-programs", [
        [ "Package: Flux Balance Constraints", "libsbml-python-example-files.html#package-fbc-examples", null ],
        [ "Package: Groups", "libsbml-python-example-files.html#package-groups-examples", null ],
        [ "Package: Hierarchical Model Composition", "libsbml-python-example-files.html#package-comp-examples", null ],
        [ "Package: Layout", "libsbml-python-example-files.html#package-layout-examples", null ],
        [ "Package: Qualitative Models", "libsbml-python-example-files.html#package-qual-examples", null ]
      ] ]
    ] ],
    [ "Reading and writing SBML content", "libsbml-python-reading-files.html", [
      [ "Getting started: the 1-minute introduction", "libsbml-python-reading-files.html#rf-started", null ],
      [ "Reading SBML", "libsbml-python-reading-files.html#rf-reading", null ],
      [ "The SBMLDocument container", "libsbml-python-reading-files.html#rf-sbmldocument", null ],
      [ "Writing SBML", "libsbml-python-reading-files.html#rf-writing", null ]
    ] ],
    [ "Core libSBML", "group__core.html", null ],
    [ "Level 3 Extensions", "usergroup0.html", [
      [ "Hierarchical Model Composition", "group__comp.html", null ],
      [ "Flux Balance Constraints", "group__fbc.html", null ],
      [ "Groups", "group__groups.html", null ],
      [ "Multistate/Multicomp. Species", "group__multi.html", null ],
      [ "Layout", "group__layout.html", null ],
      [ "Render", "group__render.html", null ],
      [ "Qualitative Models", "group__qual.html", null ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", null ],
        [ "Functions", "functions_func.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ]
    ] ],
    [ "Examples", "libsbml-python-example-files.html", null ]
  ] ]
];

var NAVTREEINDEX =
[
"annotated.html",
"libsbml-howto-implement-extension.html#implem-sbmldocument",
"libsbml_8py.html#a2af349f9c6f4bd1d9bc614727035f77e",
"libsbml_8py.html#a54237abbe49b0b03ebd0fdc25bbbbc8c",
"libsbml_8py.html#a8318fe989f369e54b234562a4d022c68",
"libsbml_8py.html#ab24c0e8520080de9938f9277944de984",
"libsbml_8py.html#ae5f77b8fd67348e57e19c2f5da0aaf8f"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';